Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class ExtendedMappings

    java.lang.Object
      org.hibernate.cfg.Mappings
          org.hibernate.cfg.ExtendedMappings

All Implemented Interfaces:
  Serializable

    public class ExtendedMappings

extends org.hibernate.cfg.Mappings

Allow annotation related mappings

at least for named generators

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.cfg.Mappings
`org.hibernate.cfg.Mappings.ColumnNames, org.hibernate.cfg.Mappings.TableDescription`

Field Summary

Fields inherited from class org.hibernate.cfg.Mappings
`autoImport, auxiliaryDatabaseObjects, catalogName, classes, collections, columnNameBindingPerTable, defaultAccess, defaultCascade, defaultLazy, defaultPackage, extendsQueue, filterDefinitions, imports, namingStrategy, propertyReferences, queries, resultSetMappings, schemaName, secondPasses, sqlqueries, tableNameBinding, tables, typeDefs`

Method Summary
`void` | `addAnyMetaDef(AnyMetaDef defAnn)`
`AnnotatedClassType` | `addClassType(org.hibernate.annotations.common.reflection.XClass clazz)`
`void` | `addDefaultGenerator(IdGenerator idGen)`
`void` | `addDefaultQuery(String name, org.hibernate.engine.NamedQueryDefinition query)`
`void` | `addDefaultResultSetMapping(org.hibernate.engine.ResultSetMappingDefinition definition)`
`void` | `addDefaultSQLQuery(String name, org.hibernate.engine.NamedSQLQueryDefinition query)`
`void` | `addGenerator(IdGenerator generator)`
`void` | `addGeneratorTable(String name, Properties params)`
`void` | `addJoins(org.hibernate.mapping.PersistentClass persistentClass, Map<String,org.hibernate.mapping.Join> joins)`
`void` | `addMappedBy(String entityName, String propertyName, String inversePropertyName)`
`void` | `addPropertyReference(String referencedClass, String propertyName)`
`void` | `addPropertyReferencedAssociation(String entityName, String propertyName, String propertyRef)`
`void` | `addQuery(String name, org.hibernate.engine.NamedQueryDefinition query)`
`void` | `addResultSetMapping(org.hibernate.engine.ResultSetMappingDefinition definition)`
`void` | `addSQLQuery(String name, org.hibernate.engine.NamedSQLQueryDefinition query)`
`void` | `addUniqueConstraints(org.hibernate.mapping.Table table, List uniqueConstraints)`
`void` | `addUniquePropertyReference(String referencedClass, String propertyName)`
`AnyMetaDef` | `getAnyMetaDef(String name)`
`Map` | `getClasses()`
`AnnotatedClassType` | `getClassType(org.hibernate.annotations.common.reflection.XClass clazz)` get and maintain a cache of class type.
`String` | `getFromMappedBy(String entityName, String propertyName)`
`IdGenerator` | `getGenerator(String name)`
`IdGenerator` | `getGenerator(String name, Map<String,IdGenerator> localGenerators)` Try to find the generator from the localGenerators and then from the global generator list
`Properties` | `getGeneratorTableProperties(String name, Map<String,Properties> localGeneratorTables)`
`Map<String,org.hibernate.mapping.Join>` | `getJoins(String persistentClass)`
`String` | `getPropertyReferencedAssociation(String entityName, String propertyName)`
`org.hibernate.annotations.common.reflection.ReflectionManager` | `getReflectionManager()`
`Map<org.hibernate.mapping.Table,List<String[]>>` | `getTableUniqueConstraints()`

Methods inherited from class org.hibernate.cfg.Mappings
`addAuxiliaryDatabaseObject, addClass, addCollection, addColumnBinding, addDenormalizedTable, addFilterDefinition, addImport, addSecondPass, addSecondPass, addTable, addTableBinding, addToExtendsQueue, addTypeDef, getCatalogName, getClass, getCollection, getDefaultAccess, getDefaultCascade, getDefaultPackage, getFilterDefinition, getFilterDefinitions, getLogicalColumnName, getLogicalTableName, getNamingStrategy, getPhysicalColumnName, getQuery, getResultSetMapping, getSchemaName, getTable, getTypeDef, isAutoImport, isDefaultLazy, iterateCollections, iterateTables, locatePersistentClassByEntityName, setAutoImport, setCatalogName, setDefaultAccess, setDefaultCascade, setDefaultLazy, setDefaultPackage, setSchemaName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addGenerator

    public void addGenerator(IdGenerator generator)
                      throws org.hibernate.MappingException

  Throws:
    `org.hibernate.MappingException`

### addJoins

    public void addJoins(org.hibernate.mapping.PersistentClass persistentClass,
                         Map<String,org.hibernate.mapping.Join> joins)
                  throws org.hibernate.MappingException

  Throws:
    `org.hibernate.MappingException`

### addClassType

    public AnnotatedClassType addClassType(org.hibernate.annotations.common.reflection.XClass clazz)

### getClassType

    public AnnotatedClassType getClassType(org.hibernate.annotations.common.reflection.XClass clazz)

  get and maintain a cache of class type. A class can be an entity, a embedded objet or nothing.

### getGenerator

    public IdGenerator getGenerator(String name)

### getJoins

    public Map<String,org.hibernate.mapping.Join> getJoins(String persistentClass)

### getGenerator

    public IdGenerator getGenerator(String name,
                                    Map<String,IdGenerator> localGenerators)

  Try to find the generator from the localGenerators and then from the global generator list

  Parameters:
    `name` - generator name
    `localGenerators` - local generators to find to
  Returns:
    the appropriate idgenerator or null if not found

### addGeneratorTable

    public void addGeneratorTable(String name,
                                  Properties params)

### getGeneratorTableProperties

    public Properties getGeneratorTableProperties(String name,
                                                  Map<String,Properties> localGeneratorTables)

### addUniqueConstraints

    public void addUniqueConstraints(org.hibernate.mapping.Table table,
                                     List uniqueConstraints)

### getTableUniqueConstraints

    public Map<org.hibernate.mapping.Table,List<String[]>> getTableUniqueConstraints()

### addMappedBy

    public void addMappedBy(String entityName,
                            String propertyName,
                            String inversePropertyName)

### getFromMappedBy

    public String getFromMappedBy(String entityName,
                                  String propertyName)

### addPropertyReferencedAssociation

    public void addPropertyReferencedAssociation(String entityName,
                                                 String propertyName,
                                                 String propertyRef)

### getPropertyReferencedAssociation

    public String getPropertyReferencedAssociation(String entityName,
                                                   String propertyName)

### addUniquePropertyReference

    public void addUniquePropertyReference(String referencedClass,
                                           String propertyName)

  Overrides:
    `addUniquePropertyReference` in class `org.hibernate.cfg.Mappings`

### addPropertyReference

    public void addPropertyReference(String referencedClass,
                                     String propertyName)

  Overrides:
    `addPropertyReference` in class `org.hibernate.cfg.Mappings`

### getReflectionManager

    public org.hibernate.annotations.common.reflection.ReflectionManager getReflectionManager()

### addDefaultQuery

    public void addDefaultQuery(String name,
                                org.hibernate.engine.NamedQueryDefinition query)

### addDefaultSQLQuery

    public void addDefaultSQLQuery(String name,
                                   org.hibernate.engine.NamedSQLQueryDefinition query)

### addDefaultGenerator

    public void addDefaultGenerator(IdGenerator idGen)

### addDefaultResultSetMapping

    public void addDefaultResultSetMapping(org.hibernate.engine.ResultSetMappingDefinition definition)

### addQuery

    public void addQuery(String name,
                         org.hibernate.engine.NamedQueryDefinition query)
                  throws org.hibernate.MappingException

  Overrides:
    `addQuery` in class `org.hibernate.cfg.Mappings`
  Throws:
    `org.hibernate.MappingException`

### addResultSetMapping

    public void addResultSetMapping(org.hibernate.engine.ResultSetMappingDefinition definition)

  Overrides:
    `addResultSetMapping` in class `org.hibernate.cfg.Mappings`

### addSQLQuery

    public void addSQLQuery(String name,
                            org.hibernate.engine.NamedSQLQueryDefinition query)
                     throws org.hibernate.MappingException

  Overrides:
    `addSQLQuery` in class `org.hibernate.cfg.Mappings`
  Throws:
    `org.hibernate.MappingException`

### getClasses

    public Map getClasses()

### addAnyMetaDef

    public void addAnyMetaDef(AnyMetaDef defAnn)

### getAnyMetaDef

    public AnyMetaDef getAnyMetaDef(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD